      open(1,file='node.conf')
      read(1,*) xmin,xmax,ymin,ymax
      read(1,*) mx,my
      n=0
      open(7,file='node.dat')
      do i=1,mx
      do j=1,my
      x=xmin+(xmax-xmin)*(i-0.5)/mx
      y=ymin+(ymax-ymin)*(j-0.5)/my
      write(7,1) x,y
      n=n+1
    1 format(2f11.4)
      end do
      end do
      write(6,*) n
      stop
      end
